// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// QD subtraction (dd - qd)
//
// Calling Sequence :
// a - b
//
// Subtraction a-b is implemented as the addition a+(-b)
// ***need to confirm a,b's size
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function c = %dd_s_qd(a,b)
  b(2) = -b(2); b(3) = -b(3); b(4) = -b(4); b(5) = -b(5);
  c = %qd_a_dd(b,a)
endfunction
