// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// DD addition (double + dd)
//
// Calling Sequence :
// a + b
//
// a(i,j) (in Scilab) = a[m*j+i] (in C++)
// make dll file with Visual C++2010
// ***need to confirm a,b's size
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function c = %s_a_dd(a,b)
  sh = a + b.hi;
  v = sh - a;
  eh = (a - (sh - v)) + (b.hi - v);
  
  eh = eh + b.lo;
  
  tmp = sh + eh;
  c = tlist(['dd','hi','lo'],tmp,eh-(tmp-sh));
endfunction

