// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// DD addition (double + qd)
//
// Calling Sequence :
// a + b
//
// ***need to confirm a,b's size
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function c = %s_a_qd(a,b)
  [s1,e] = two_sum(b(2),a);
  [s2,e] = two_sum(b(3),e);
  [s3,e] = two_sum(b(4),e);
  [s4,s5] = two_sum(b(5),e);
  [t1,t2,t3,t4] = renormalize(s1,s2,s3,s4,s5);
  c = tlist(['qd','d'],t1,t2,t3,t4);
endfunction
